Package tigase.db.util

## Class DBSchemaLoader.Parameters

- java.lang.Object
- - tigase.db.util.DBSchemaLoader.Parameters

- All Implemented Interfaces:
    `SchemaLoader.Parameters`
  Enclosing class:
    DBSchemaLoader

      public static class DBSchemaLoader.Parameters
      extends java.lang.Object
      implements SchemaLoader.Parameters

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Parameters()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAdminPassword()` |
    `java.util.List<BareJID>` | `getAdmins()` |
    `java.lang.String` | `getDbHostname()` |
    `java.lang.String` | `getDbName()` |
    `java.lang.String` | `getDbPass()` |
    `java.lang.String` | `getDbRootPass()` |
    `java.lang.String` | `getDbRootUser()` |
    `java.lang.String` | `getDbType()` |
    `java.lang.String` | `getDbUser()` |
    `java.lang.Boolean` | `getIngoreMissingFiles()` |
    `java.util.logging.Level` | `getLogLevel()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getOtherParameters()` |
    `java.lang.String` | `getSchemaDirectory()` |
    `java.lang.String` | `getServerTimezone()` |
    `protected void` | `init​(java.util.Optional<SchemaManager.RootCredentialsCache> rootCredentialsCache)` |
    `boolean` | `isDbRootAsk()` |
    `boolean` | `isForceReloadSchema()` |
    `boolean` | `isIgnoreMissingFiles()` |
    `java.lang.Boolean` | `isUseLegacyDatetimeCode()` |
    `java.lang.Boolean` | `isUseSSL()` |
    `void` | `parseUri​(java.lang.String uri)` |
    `void` | `setAdmins​(java.util.List<BareJID> admins, java.lang.String password)` |
    `void` | `setDbRootAsk​(boolean dbRootAsk)` |
    `void` | `setDbRootCredentials​(java.lang.String username, java.lang.String password)` |
    `void` | `setForceReloadSchema​(boolean forceReloadSchema)` |
    `void` | `setIngoreMissingFiles​(java.lang.Boolean ingoreMissingFiles)` |
    `void` | `setLogLevel​(java.util.logging.Level level)` |
    `void` | `setProperties​(java.util.Properties props)` |
    `void` | `setSchemaDirectory​(java.lang.String schemaDirectory)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Parameters

          public Parameters()

  - ### Method Detail

    - #### getAdminPassword

          public java.lang.String getAdminPassword()

      Specified by:
        `getAdminPassword` in interface `SchemaLoader.Parameters`

    - #### getAdmins

          public java.util.List<BareJID> getAdmins()

      Specified by:
        `getAdmins` in interface `SchemaLoader.Parameters`

    - #### getDbRootPass

          public java.lang.String getDbRootPass()

    - #### getDbRootUser

          public java.lang.String getDbRootUser()

    - #### isDbRootAsk

          public boolean isDbRootAsk()

      Specified by:
        `isDbRootAsk` in interface `SchemaLoader.Parameters`

    - #### setDbRootAsk

          public void setDbRootAsk​(boolean dbRootAsk)

      Specified by:
        `setDbRootAsk` in interface `SchemaLoader.Parameters`

    - #### getDbType

          public java.lang.String getDbType()

    - #### getDbName

          public java.lang.String getDbName()

    - #### getDbHostname

          public java.lang.String getDbHostname()

    - #### getDbUser

          public java.lang.String getDbUser()

    - #### getDbPass

          public java.lang.String getDbPass()

    - #### getOtherParameters

          public java.util.Map<java.lang.String,​java.lang.String> getOtherParameters()

    - #### isForceReloadSchema

          public boolean isForceReloadSchema()

      Specified by:
        `isForceReloadSchema` in interface `SchemaLoader.Parameters`

    - #### setForceReloadSchema

          public void setForceReloadSchema​(boolean forceReloadSchema)

      Specified by:
        `setForceReloadSchema` in interface `SchemaLoader.Parameters`

    - #### isIgnoreMissingFiles

          public boolean isIgnoreMissingFiles()

    - #### isUseSSL

          public java.lang.Boolean isUseSSL()

    - #### isUseLegacyDatetimeCode

          public java.lang.Boolean isUseLegacyDatetimeCode()

    - #### getServerTimezone

          public java.lang.String getServerTimezone()

    - #### getSchemaDirectory

          public java.lang.String getSchemaDirectory()

    - #### setSchemaDirectory

          public void setSchemaDirectory​(java.lang.String schemaDirectory)

      Specified by:
        `setSchemaDirectory` in interface `SchemaLoader.Parameters`

    - #### parseUri

          public void parseUri​(java.lang.String uri)

      Specified by:
        `parseUri` in interface `SchemaLoader.Parameters`

    - #### setProperties

          public void setProperties​(java.util.Properties props)

      Specified by:
        `setProperties` in interface `SchemaLoader.Parameters`

    - #### setAdmins

          public void setAdmins​(java.util.List<BareJID> admins,
                                java.lang.String password)

      Specified by:
        `setAdmins` in interface `SchemaLoader.Parameters`

    - #### setDbRootCredentials

          public void setDbRootCredentials​(java.lang.String username,
                                           java.lang.String password)

      Specified by:
        `setDbRootCredentials` in interface `SchemaLoader.Parameters`

    - #### getLogLevel

          public java.util.logging.Level getLogLevel()

      Specified by:
        `getLogLevel` in interface `SchemaLoader.Parameters`

    - #### setLogLevel

          public void setLogLevel​(java.util.logging.Level level)

      Specified by:
        `setLogLevel` in interface `SchemaLoader.Parameters`

    - #### getIngoreMissingFiles

          public java.lang.Boolean getIngoreMissingFiles()

    - #### setIngoreMissingFiles

          public void setIngoreMissingFiles​(java.lang.Boolean ingoreMissingFiles)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### init

          protected void init​(java.util.Optional<SchemaManager.RootCredentialsCache> rootCredentialsCache)